aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichele Locati <michele@locati.it>2018-03-19 10:19:07 +0100
committerMichele Locati <michele@locati.it>2018-03-19 10:19:07 +0100
commit51eb63f8a10813512e539198671f2b30d4cfe37b (patch)
tree692b4c77fb163f6fab6e32236b74e8564419efbb
parent2e461dc3b94c98da70ec8e9833943e89aec11d2e (diff)
downloadincremental-git-filter-branch-51eb63f8a10813512e539198671f2b30d4cfe37b.tar.gz
incremental-git-filter-branch-51eb63f8a10813512e539198671f2b30d4cfe37b.tar.bz2
incremental-git-filter-branch-51eb63f8a10813512e539198671f2b30d4cfe37b.zip
Improve POSIX compliance in tests
-rwxr-xr-xtest/bootstrap4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/bootstrap b/test/bootstrap
index ea781c9..1faa749 100755
--- a/test/bootstrap
+++ b/test/bootstrap
@@ -85,11 +85,11 @@ initializeRepositories () {
}
getTagList () {
- getTagList_multiline=$(git -C "${1}" show-ref --tags | sed -E 's:^.*?refs/tags/::' || true)
+ getTagList_multiline=$(git -C "${1}" show-ref --tags | sed -E 's:^.* refs/tags/::' || true)
printf '%s' "${getTagList_multiline}" | sort -b | tr '\n' ' ' | sed -E 's:^ | $::g'
}
getBranchList () {
- getBranchList_multiline=$(git -C "${1}" show-ref --heads | sed -E 's:^.*?refs/heads/::' || true)
+ getBranchList_multiline=$(git -C "${1}" show-ref --heads | sed -E 's:^.* refs/heads/::' || true)
printf '%s' "${getBranchList_multiline}" | sort -b | tr '\n' ' ' | sed -E 's:^ | $::g'
}

© 2014-2024 Faster IT GmbH | imprint | privacy policy